import { IEnvironmentService, IRegistry } from '@adminide-stack/core';
import { IViewerService } from './viewer-service';
import { ICommandRegistry } from '../command';
import { IContributionRegistry } from './contributon-registry';
import { IModelService } from './model-service';
import { IExtensionsService } from './extension-service';
import { IEnvironment } from '../generated-models';
import { IPanelViewProviderRegistry } from './panel-view-registry';
export interface IAdditionalExtServices {
    externalEnvironmentService: IEnvironmentService & IEnvironment;
}
/**
 * All External Services
 */
export interface IExtServices {
    viewer: IViewerService;
    commands: ICommandRegistry;
    contribution: IContributionRegistry;
    model: IModelService;
    extensions?: IExtensionsService;
    panelView?: IPanelViewProviderRegistry;
    windows?: any;
    registry?: IRegistry;
}
