import { Subscribable } from 'cdeops/client';
/**
 * Runs f and returns a resolved promise with its value or a rejected promise with its exception,
 * regardless of whether it returns a promise or not.
 * @param f
 */
export declare function tryCatchPromise<T>(f: () => T | Promise<T>): Promise<T>;
/**
 * Reports whether value is a Promise.
 */
export declare function isPromise(value: any): value is Promise<any>;
/**
 * Reports whether value is a {@link cdeops.Subscribable}.
 */
export declare function isSubscribable(value: any): value is Subscribable<any>;
/** Flattens and compacts the argument. If it is null or if the result is empty, it returns null. */
export declare function flattenAndCompact<T>(value: (T | T[] | null)[] | null): T[] | null;
/** generate unique id for contributions */
export declare function generateContributionId(): string;
